> For the complete documentation index, see [llms.txt](https://docs.pandablue.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pandablue.com/guides/deposits/create-deposits/credit-cards/basic-deposits/fragments-lite.md).

# Fragments Lite

### **Deposit with Fragments Lite**

{% stepper %}
{% step %}

#### Create a deposit request to our PCI endpoint

The deposit request must include the **`card_token[]`** object containing all the card details.

Note that the default response of this endpoint in synchronous.

{% tabs %}
{% tab title="Example request" %}

<pre class="language-sh"><code class="lang-sh">curl -L \
  --request POST \
<strong>  --url 'https://cc-api-stg.pandablue.com/v3/deposits' \
</strong>  --header 'Content-Type: application/json' \
  --header 'X-Date: 2025-07-15T12:57:14.936Z' \
  --header 'X-Login: text' \
  --header 'Authorization: text' \
  --data '{
    "invoice_id": "800000001",
    "amount": 1000,
    "country": "BR",
    "currency": "BRL",
    "payer": {
      "id": "11111",
      "document": "84932568207",
      "document_type": "CPF",
      "email": "johnSmith12@hotmail.com",
      "first_name": "John",
      "last_name": "Smith"
    },
<strong>    "card_token": "C4RD_T0K3N_G3N3R4T3D_W1TH_FR4GM3N7S_L1T3",
</strong>    "client_ip": "123.123.123.123"
  }'
</code></pre>

{% endtab %}

{% tab title="Example response" %}

```json
{
  "deposit_id": 300604089,
  "user_id": "80000001",
  "merchant_invoice_id": "test766106146",
  "payment_info": {
    "type": "CREDIT_CARD",
    "result": "SUCCESS",
    "payment_method": "VI",
    "payment_method_name": "Visa",
    "amount": 505.95,
    "currency": "MXN",
    "created_at": "2021-02-05T22:10:45Z"
  }
}
```

{% endtab %}
{% endtabs %}
{% endstep %}

{% step %}

#### Retrieve the Deposit final status

Even though that this endpoint is mostly synchronous, we may eventually send webhooks to notify changes within a deposit.&#x20;

These webhook notifications contain the **`deposit_id`** for you to retrieve the status.

```json
{
  "deposit_id": 300604089
}
```

{% hint style="info" %}

### For more information on this point visit <a href="/pages/4J1W8bBUsf3m6C60jdyS" class="button primary" data-icon="message-medical">Notifications</a>.

{% endhint %}
{% endstep %}
{% endstepper %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pandablue.com/guides/deposits/create-deposits/credit-cards/basic-deposits/fragments-lite.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
